Jifty::Server::Fork::NetServer(3)

NAME
Jifty::Server::Fork::NetServer - Sets up children for Jifty::Server::Fork

METHODS

  new
Store the created Net::Server::Fork object away after creating it.

  pre_loop_hook
Tear down the database connection before falling into the accept loop, so that there is no shared database connection for children to inherit.

  post_accept_hook
After forking every connection, resetup the database connections.

  log
Log messages should use Jifty's Log::Log4perl infrastructure, not STDERR.